petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscPopSignalHandler

Removes the most last signal handler that was pushed. If no signal handlers are left on the stack it will remove the PETSc signal handler. (That is PETSc will no longer catch signals).

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscPopSignalHandler(void)

Not Collective

### See Also

PetscPushSignalHandler()

### Level

developer

### Location

src/sys/error/signal.c

### Examples

src/snes/examples/tutorials/ex30.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages